classification
Title: Managing dual 2.x and 3.0 installations on Windows
Type: behavior Stage: resolved
Components: Installation Versions: Python 3.3
process
Status: closed Resolution: out of date
Dependencies: Superseder: PYTHON3PATH environment variable to supersede PYTHONPATH for multi-Python environments
View: 2375
Assigned To: Nosy List: brian.curtin, eric.araujo, georg.brandl, lambacck, richard_b_martin, terry.reedy
Priority: normal Keywords:

Created on 2008-08-21 20:24 by richard_b_martin, last changed 2012-10-27 16:59 by eric.araujo. This issue is now closed.

Messages (4)
msg71676 - (view) Author: (richard_b_martin) Date: 2008-08-21 20:24
I installed a 3.0 beta for the first time in Windows.  I was surprised
when my 2.5 scripts started to fail.  I traced it down to the 3.0
install modifying the registry.  

If you run "assoc .py" from a command line, the return value is
Python.File.  If you search the registry for references to Python.File,
you'll find a path that points to python.exe.   The 3.0 install changed
this value.  

So at least a warning in the installation instructions would be nice. 
Probably better would be a script that allow a user to switch between
2.x and 3.0 installations.  That would include having to perhaps modify
the env. variables, Path and PYTHONPATH (see bug 2375) and the registry.

Many thanks, by the way, to all the python developers over the years.
msg97677 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-01-13 01:34
This won't solve the problem of dual installations, but it'll leave things how you were expecting... There is an option in the installer on the customize page for "Register Extensions". Choosing to not install that item will keep the installer from modifying the path and file association.

I think we could probably have a message on the installer to say that the "Register Extensions" feature would be overwriting your previous settings if it finds settings of a previous version.
msg121831 - (view) Author: Chris Lambacher (lambacck) * Date: 2010-11-21 01:52
This seems like a normal file association fight, no different than not being able to have both IE and Firefox associated with .html files.

#2375 has been rejected, so I don't think it is a relevant superseder.

I don't see how this is any different than having multiple 2.x installations and needing to pick the current one to work with. If 2.3 were the default and I tried to run a script with decorators I would end up with the same result.
msg173942 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-27 16:59
Now fixed thanks to PEP 397.

http://docs.python.org/py3k/whatsnew/3.3.html#pep-397-python-launcher-for-windows
History
Date User Action Args
2012-10-27 16:59:14eric.araujosetstatus: open -> closed

versions: + Python 3.3, - Python 3.2
nosy: + eric.araujo

messages: + msg173942
resolution: out of date
stage: needs patch -> resolved
2012-10-06 11:12:16georg.brandlsetassignee: georg.brandl ->
2010-11-21 01:52:52lambaccksetnosy: + lambacck
messages: + msg121831
2010-01-13 01:34:32brian.curtinsetpriority: normal

superseder: PYTHON3PATH environment variable to supersede PYTHONPATH for multi-Python environments
type: behavior
components: + Installation, - Documentation
versions: + Python 3.2, - Python 3.0
nosy: + brian.curtin

messages: + msg97677
stage: needs patch
2008-08-22 22:23:45terry.reedysetnosy: + terry.reedy
2008-08-21 20:24:25richard_b_martincreate